Subject: Re: linux-next: manual merge of the iommufd tree with the vfio-fixes tree

From: Alex Williamson <[email-masked]>
Date: Mon, 14 Nov 2022 08:32:07 -0700

On Mon, 14 Nov 2022 09:35:39 -0400
Jason Gunthorpe <[email-masked]> wrote:

> On Fri, Nov 11, 2022 at 03:37:35PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > Today's linux-next merge of the iommufd tree got a conflict in:
> > 
> >   drivers/vfio/vfio_main.c
> > 
> > between commit:
> > 
> >   7fdba0011157 ("vfio: Fix container device registration life cycle")
> > 
> > from the vfio-fixes tree and commit:
> > 
> >   55e16a188913 ("vfio: Move vfio_device driver open/close code to a function")
> > 
> > from the iommufd tree.
> > 
> > I fixed it up (I just used the latter version since it seems to
> > incorporate the former change) and can carry the fix as necessary.   
> 
> Yes, that is right, it is as Alex and I discussed

My plan is to merge back my fixes branch after it gets pulled into
v6.1-rc so the vfio-iommufd support can be re-based to avoid this for
v6.2.  Thanks,

Alex